/*
 * Declarations for the remctl PECL extension for PHP
 *
 * Originally written by Andrew Mortensen <admorten@umich.edu>
 * Copyright 2008 Andrew Mortensen <admorten@umich.edu>
 * Copyright 2008, 2011-2012
 *     The Board of Trustees of the Leland Stanford Junior University
 *
 * SPDX-License-Identifier: MIT
 */

#ifndef PHP_REMCTL_H
#define PHP_REMCTL_H 1

/* This should be the same version as the overall remctl package. */
#define PHP_REMCTL_VERSION  "3.18"
#define PHP_REMCTL_EXTNAME  "remctl"
#define PHP_REMCTL_RES_NAME "remctl_resource"

PHP_MINIT_FUNCTION(remctl);
PHP_FUNCTION(remctl);
PHP_FUNCTION(remctl_new);
PHP_FUNCTION(remctl_set_ccache);
PHP_FUNCTION(remctl_set_source_ip);
PHP_FUNCTION(remctl_set_timeout);
PHP_FUNCTION(remctl_open);
PHP_FUNCTION(remctl_command);
PHP_FUNCTION(remctl_output);
PHP_FUNCTION(remctl_noop);
PHP_FUNCTION(remctl_error);
PHP_FUNCTION(remctl_close);

extern zend_module_entry remctl_module_entry;

#endif /* PHP_REMCTL_H */
